import React from 'react';
import { RoomInfo } from '@zocks-communications/client-sdk-js';
import { JoinOptions } from '../../store';
import { VirtualBackgroundSelectorProps } from '../VirtualBackgroundSelector';
import { AudioControlButtonProps, VideoControlButtonProps } from '../RoomControls';
export declare const JoinPage: React.FC<{
    joinAction: (joinOptions: JoinOptions) => void;
    createRoomAction: () => Promise<RoomInfo>;
    initialRoomJoinInputValue?: string;
    initialRoomJoinSelectValue?: 'id' | 'name';
    joinText?: string;
    newMeetingText?: string;
    createNewMeetingText?: string;
    newMeetingDisabled?: boolean;
    roomJoinInputLabel?: string;
    roomJoinSelectLabel?: string;
    roomJoinInputDisabled?: boolean;
    roomJoinInputPlaceholder?: string;
    videoEnabledByDefault?: boolean;
    audioEnabledByDefault?: boolean;
    hideInputSelect?: boolean;
    onNewRoomCreated?: (roomInfo: RoomInfo) => void;
    dividerText?: string;
    controlsHeaderElement?: string | JSX.Element;
    disabledVideoElement?: string | JSX.Element;
    audioControlButtonElement?: React.FC<AudioControlButtonProps>;
    videoControlButtonElement?: React.FC<VideoControlButtonProps>;
    virtualBackgroundSelectorElement?: React.FC<VirtualBackgroundSelectorProps>;
    joinOptions?: Partial<JoinOptions>;
    styles?: {
        [key: string]: string;
    };
}>;
